Description

Hello,

I've got a tracker and I'm providing to my user an URL to validate or not some boolean fields defined in custom fields.

E.g. : http://myredmine/projects/tracker/issues/new?issue%5Bcustom_field_values%5D%5B4%5D=1

you should read : http://myredmine/projects/tracker/issues/new?issue[custom_field_values][4]=1

As you can see, square brackets are coded. Chrome and firefox are reading them without issue, Edge and IE are not reading them

and just open the page without changing the fields.

Any idea how to solve that ?

Running 4.0.3.stable

thanks a lot

Related issues:

Related to Redmine - Feature #34978: Add the list of supported browsers to do... Closed

History

#1 - 2021-03-05 10:34 - C S

You know that both (Legacy Edge) are End of Life?

#2 - 2021-03-05 12:03 - Benoit Petit

C S wrote:

You know that both (Legacy Edge) are End of Life?

 I am, but that is still used.

Additional question, is there a way to prefill a custom field, that would be hidden or read-only ? Basically filled by the URL but without showing the

field to the user.

Best

#3 - 2021-04-09 10:50 - Go MAEDA

- Resolution set to Cant reproduce

I cannot reproduce the issue with Internet Explorer 11 and Redmine 4.1.2.

I was able to turn on a boolean custom field using the following URL.

http://127.0.0.1:3000/projects/ecookbook/issues/new?issue%5Bcustom_field_values%5D%5B12%5D=1

(http://172.16.244.1:3000/projects/ecookbook/issues/new?issue[custom_field_values][12]=1)

#4 - 2021-04-09 10:55 - Benoit Petit

ok, my issue was may be that the field has to be visible by the user.

I've made additional trials and it might be the root cause.

Can you please give a try to hide the custom field and see if the URL can still set the field?
#5 - 2021-04-09 11:19 - Go MAEDA

Benoit Petit wrote:

Can you please give a try to hide the custom field and see if the URL can still set the field?

 Does "hide" mean tweaking "Visible" setting in Custom fields » Issues page?

If the custom field is not configured to be visible to the user's role, I think the user will not be able to set a value to the custom field.

#6 - 2021-04-09 11:27 - Benoit Petit

Yes exactly, not visible but changed by the URL.that helps to sort some issues by internal items that are not easy to explain to newbies..

#7 - 2021-04-21 10:36 - Go MAEDA

- Related to Feature #34978: Add the list of supported browsers to docs and drop support for IE 11 added

#8 - 2022-03-21 04:35 - Go MAEDA

- Status changed from New to Closed

- Resolution changed from Cant reproduce to Wont fix

Redmine no longer supports Internet Explorer (see #34978).
